# Generated by Django 4.1.6 on 2023-02-12 22:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sth', '0002_alter_stage_id'),
        ('organization', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AcademicDegree',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AcademicDegreeCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='AcademicDegreeStatus',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="employee's name", max_length=200)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="employee's name", max_length=200)),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('role', models.CharField(help_text='role', max_length=200)),
                ('organization', models.ForeignKey(blank=True, help_text="employee's organization", null=True, on_delete=django.db.models.deletion.CASCADE, to='organization.organization')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ExperienceLevel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="employee's name", max_length=200)),
                ('description', models.TextField(help_text="organization type's description")),
                ('value', models.FloatField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='KnwoledgeLevel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="employee's name", max_length=200)),
                ('description', models.TextField(help_text="organization type's description")),
                ('value', models.FloatField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Position',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text='position', max_length=200)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="team's name", max_length=200)),
                ('description', models.TextField(help_text="team's description")),
                ('organization', models.ForeignKey(help_text='organization', on_delete=django.db.models.deletion.CASCADE, to='organization.organization')),
                ('responsible', models.ForeignKey(help_text='Employee', on_delete=django.db.models.deletion.CASCADE, to='employee.employee')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SthStageKnwoledgeLevel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('employee', models.ForeignKey(help_text="employee's knowledge", on_delete=django.db.models.deletion.CASCADE, related_name='employee_knowledge_level', to='employee.employee')),
                ('knwoledge_level', models.ForeignKey(help_text="employee's knowledge", on_delete=django.db.models.deletion.CASCADE, to='employee.knwoledgelevel')),
                ('stage', models.ForeignKey(help_text="employee's knowledge", on_delete=django.db.models.deletion.CASCADE, to='sth.stage')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SthStageExperienceLevel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('employee', models.ForeignKey(help_text="employee's knowledge", on_delete=django.db.models.deletion.CASCADE, related_name='employee_experience_level', to='employee.employee')),
                ('experience_level', models.ForeignKey(help_text="employee's knowledge", on_delete=django.db.models.deletion.CASCADE, to='employee.experiencelevel')),
                ('stage', models.ForeignKey(help_text="employee's knowledge", on_delete=django.db.models.deletion.CASCADE, to='sth.stage')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='EmployeeKnowledge',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('academic_degree', models.ForeignKey(help_text="employee's organization", on_delete=django.db.models.deletion.CASCADE, to='employee.academicdegree')),
                ('academic_degree_status', models.ForeignKey(help_text="employee's organization", on_delete=django.db.models.deletion.CASCADE, to='employee.academicdegreestatus')),
                ('employee', models.ForeignKey(blank=True, help_text="employee's organization", null=True, on_delete=django.db.models.deletion.CASCADE, to='employee.employee')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='employee',
            name='position',
            field=models.ForeignKey(blank=True, help_text="employee's position", null=True, on_delete=django.db.models.deletion.CASCADE, to='employee.position'),
        ),
        migrations.AddField(
            model_name='academicdegree',
            name='category',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='employee.academicdegreecategory'),
        ),
    ]
